﻿namespace DailyDigestWorker.Configuration
{
    public class GeminiSettings
    {
        // Формат URL для :generateContent. {0} - model, {1} - key
        public string ApiEndpointFormat { get; set; } = "https://generativelanguage.googleapis.com/v1beta/models/{0}:generateContent?key={1}";
        public string ModelName { get; set; } = "gemini-pro"; // Базовая модель
        public float Temperature { get; set; } = 0.6f; // Немного креативности, но не слишком
        public int MaxOutputTokens { get; set; } = 1024; // Лимит токенов для саммари
                                                         // Добавить список SafetySettings, если нужно настраивать их
                                                         // public List<SafetySettingDto> SafetySettings { get; set; }
    }
}